> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aegi.run/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aegi.run/_mcp/server.

# Shuffle the queue

POST https://api.aegi.run/v1/music/guilds/{guildId}/shuffle

Randomises the order of the queued tracks. The current track is left alone.

Reference: https://docs.aegi.run/api-reference/aegis/music/shuffle-the-queue

## Authentication

- `Authorization` header (bearer token, required) — Create a key at [https://aegi.run](https://aegi.run), then send it as `Authorization: Bearer aegis.<key>`.

## Request

### Path parameters

- `guildId` (string, required)

## Response

### 200

The queue in its new order.

- `data` (ShuffleResult, required)

## Errors

### 403 Forbidden Error

The API key is not linked to a bot.

- `error` (ErrorResponseError, required)
- `requestId` (string, optional)

### 404 Not Found Error

No player in that guild.

- `error` (ErrorResponseError, required)
- `requestId` (string, optional)

### 409 Conflict Error

Conflicts with the current player state.

- `error` (ErrorResponseError, required)
- `requestId` (string, optional)

### 422 Unprocessable Entity Error

The request cannot be carried out as given.

- `error` (ErrorResponseError, required)
- `requestId` (string, optional)

### 503 Service Unavailable Error

The music workers are unavailable or timed out.

- `error` (ErrorResponseError, required)
- `requestId` (string, optional)

## Types

### ShuffleResult

- `queue` (list of Track, required)

### ErrorResponseError

- `code` (enum, required)
  - Allowed values: `bad_request`, `unauthorized`, `invalid_api_key`, `api_key_revoked`, `forbidden`, `player_limit`, `not_found`, `method_not_allowed`, `conflict`, `validation_error`, `rate_limited`, `internal_error`, `service_unavailable`
- `message` (string, required)
- `details` (any, optional, nullable)

### Track

- `title` (string, required)
- `author` (string, required)
- `lengthMs` (double, required)
- `uri` (string, required, nullable)
- `artworkUrl` (string, required, nullable)
- `isStream` (boolean, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "queue": [
      {
        "title": "Blinding Lights",
        "author": "The Weeknd",
        "lengthMs": 200040,
        "uri": "https://www.youtube.com/watch?v=4NRXx6U8ABQ",
        "artworkUrl": "https://i.ytimg.com/vi/4NRXx6U8ABQ/hqdefault.jpg",
        "isStream": false
      },
      {
        "title": "Levitating",
        "author": "Dua Lipa",
        "lengthMs": 203000,
        "uri": "https://www.youtube.com/watch?v=TUVcZfQe-Kw",
        "artworkUrl": "https://i.ytimg.com/vi/TUVcZfQe-Kw/hqdefault.jpg",
        "isStream": false
      },
      {
        "title": "Stay",
        "author": "The Kid LAROI & Justin Bieber",
        "lengthMs": 141000,
        "uri": "https://www.youtube.com/watch?v=kTJczUoc26U",
        "artworkUrl": "https://i.ytimg.com/vi/kTJczUoc26U/hqdefault.jpg",
        "isStream": false
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.aegi.run/v1/music/guilds/123456789012345678/shuffle"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.aegi.run/v1/music/guilds/123456789012345678/shuffle';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.aegi.run/v1/music/guilds/123456789012345678/shuffle"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.aegi.run/v1/music/guilds/123456789012345678/shuffle")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.aegi.run/v1/music/guilds/123456789012345678/shuffle")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.aegi.run/v1/music/guilds/123456789012345678/shuffle', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.aegi.run/v1/music/guilds/123456789012345678/shuffle");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.aegi.run/v1/music/guilds/123456789012345678/shuffle")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```